using System.ComponentModel;
using Hotline.Exams.Base;
using Hotline.Share.Enums.Exams;
using SqlSugar;

namespace Hotline.Exams.ExamManages
{
    /// <summary>
    /// 标签试题数
    /// </summary>
    [Description("标签试题数")]
    public class ExamTagQuestion:ExamBusinessEntity
    {
        /// <summary>
        /// 标签Id
        /// </summary>
        [SugarColumn(ColumnDescription = "标签Id")]
        [Description("标签Id")]
        public string TagId { get; set; }

        /// <summary>
        /// 规则Id
        /// </summary>
        [SugarColumn(ColumnDescription ="规则Id")]
        [Description("规则Id")]
        public string RuleId { get; set; }

        /// <summary>
        /// 试题类型
        /// </summary>
        [SugarColumn(ColumnDescription ="试题类型")]
        [Description("试题类型")]
        public EQuestionType QuestionType { get; set; }

        /// <summary>
        /// 试题数量
        /// </summary>
        [SugarColumn(ColumnDescription ="试题数量")]
        [Description("试题数量")]
        public int Count { get; set; }
    }
}
